
package net.mcreator.sebmod.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.RecordItem;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.sebmod.init.SebModModTabs;
import net.mcreator.sebmod.init.SebModModSounds;

import java.util.List;

public class RickRollItem extends RecordItem {
	public RickRollItem() {
		super(0, SebModModSounds.REGISTRY.get(new ResourceLocation("seb_mod:rickroll")),
				new Item.Properties().tab(SebModModTabs.TAB_SEB_MOD).stacksTo(1).rarity(Rarity.RARE));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("lol"));
	}
}
